Assignments Assignments

Public Member Functions | List of all members
Ray::ShapeBoundingBox Struct Reference

`#include <shape.h>`

Inheritance diagram for Ray::ShapeBoundingBox:

## Public Member Functions
| ShapeBoundingBox (void)
| ShapeBoundingBox (const ShapeBoundingBox &bBox)
| ShapeBoundingBox (const Util::BoundingBox3D &bBox)
ShapeBoundingBox & | operator= (const ShapeBoundingBox &bBox)
ShapeBoundingBox & | operator= (const Util::BoundingBox3D &bBox)
Util::BoundingBox1D | intersect (const Util::Ray3D &ray) const
Public Member Functions inherited from Util::BoundingBox< 3 >
| BoundingBox (void)
| BoundingBox (const Point< Dim > &p1, const Point< Dim > &p2)
| BoundingBox (const Point< Dim > *pList, int pSize)
Point< Dim > & | operator[] (int index)
const Point< Dim > & | operator[] (int index) const
BoundingBox | operator+ (const BoundingBox &b) const
BoundingBox & | operator+= (const BoundingBox &b)
BoundingBox | operator^ (const BoundingBox &b) const
BoundingBox & | operator^= (const BoundingBox &b)
bool | isInside (const Point< Dim > &p) const
bool | isEmpty (void) const
BoundingBox< 1 > | intersect (const Ray< Dim > &ray) const
| BoundingBox (void)
| BoundingBox (const Point< Dim > &p1, const Point< Dim > &p2)
| BoundingBox (const Point< Dim > *pList, int pSize)
Point< Dim > & | operator[] (int index)
const Point< Dim > & | operator[] (int index) const
BoundingBox | operator+ (const BoundingBox &b) const
BoundingBox & | operator+= (const BoundingBox &b)
BoundingBox | operator^ (const BoundingBox &b) const
BoundingBox & | operator^= (const BoundingBox &b)
bool | isInside (const Point< Dim > &p) const
bool | isEmpty (void) const
BoundingBox< 1 > | intersect (const Ray< Dim > &ray) const

## Detailed Description

This class serves as a wrapper for Util::BoundingBox3D, calling RayTracingStats::IncrementRayBoundingBoxIntersectionNum before performing the intersection.

## Constructor & Destructor Documentation

## ◆ ShapeBoundingBox() [1/3]

Ray::ShapeBoundingBox::ShapeBoundingBox | ( | void |  | ) |
| inline

## ◆ ShapeBoundingBox() [2/3]

Ray::ShapeBoundingBox::ShapeBoundingBox | ( | const ShapeBoundingBox & | bBox | ) |
| inline

## ◆ ShapeBoundingBox() [3/3]

Ray::ShapeBoundingBox::ShapeBoundingBox | ( | const Util::BoundingBox3D & | bBox | ) |
| inline

## Member Function Documentation

## ◆ intersect()

BoundingBox1D ShapeBoundingBox::intersect | ( | const Util::Ray3D & | ray | ) | const

## ◆ operator=() [1/2]

ShapeBoundingBox & Ray::ShapeBoundingBox::operator= | ( | const ShapeBoundingBox & | bBox | ) |
| inline

## ◆ operator=() [2/2]

ShapeBoundingBox & Ray::ShapeBoundingBox::operator= | ( | const Util::BoundingBox3D & | bBox | ) |
| inline

The documentation for this struct was generated from the following files:

- Assignments/Ray/shape.h
- Assignments/Ray/shape.cpp